Function
goFurther
Iterates some steps further.
goFurther(iterator, steps)
Include Headers
seqan/basic.h
Parameters

iterator | An iterator. iterator is set steps positions further in the iteration through the container. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator
steps | Number of steps iterator should be moved further. Remarks: If iterator supports bidirectional iteration, steps could also be negativ.

Remarks
This function is equivalent to iterator += steps for random access iterators.
See Also
goPrevious, goNext
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47